%define major         1
%define libname       %mklibname icns %{major}
%define libname_devel %mklibname icns -d

Name:          libicns
Version:       0.8.1
Release:       %mkrel 9
Summary:       Library for manipulating MacOS X icns files
Group:         System/Libraries
License:       GPLv2, LGPLv2
URL:           https://icns.sourceforge.net/
Source:        https://sourceforge.net/projects/icns/files/%{name}-%{version}.tar.gz
Patch0:        support-libopenjp2.patch
Patch1:        libicns-0.8.1-gcc6.patch

BuildRequires: pkgconfig(jasper)
BuildRequires: pkgconfig(libopenjp2)
BuildRequires: pkgconfig(libpng)

%description
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %{libname}
Summary:          Library files for %{name}
Group:            System/Libraries
Provides:         %{name} = %{version}-%{release}

%description -n %{libname}
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %{libname_devel}
Group:         Development/C
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

This package contains libraries and header files need for development.

%package -n libicns-utils
Group:         Graphics/Utilities
Summary:       Utilities for %{name}
Requires:      %{libname} = %{version}-%{release}

%description -n libicns-utils
Software for library for manipulating MacOS X .icns icon format.
Currently provides support for reading and writing icns files
in most sizes.

Also provides utilities for manipulating files in the .icns format:
* icns2png - convert Mac OS icns files to png images
* png2icns - convert png images to Mac OS icns files
* icontainer2icns - extract icns files from icontainers

%prep
%autosetup -p1

%build
export CPPFLAGS="${CPPFLAGS} `pkg-config --cflags libopenjp2`"
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libicns.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/icns.h
%{_libdir}/libicns.so
%{_libdir}/pkgconfig/libicns.pc
%doc src/apidocs.*

%files -n libicns-utils
%{_bindir}/icns2png
%{_bindir}/icontainer2icns
%{_bindir}/png2icns
%{_mandir}/man1/icns2png.1*
%{_mandir}/man1/icontainer2icns.1*
%{_mandir}/man1/png2icns.1*
%doc README


%changelog
* Thu Oct 03 2024 daviddavid <daviddavid> 0.8.1-9.mga10
+ Revision: 2102794
- add patch to fix missing include

* Fri Oct 13 2023 daviddavid <daviddavid> 0.8.1-8.mga10
+ Revision: 1996194
- enable jasper support

* Tue Mar 29 2022 umeabot <umeabot> 0.8.1-7.mga9
+ Revision: 1831555
- Mageia 9 Mass Rebuild

* Wed May 27 2020 luigiwalser <luigiwalser> 0.8.1-6.mga8
+ Revision: 1588190
- call autoreconf

* Wed May 27 2020 luigiwalser <luigiwalser> 0.8.1-5.mga8
+ Revision: 1588186
- add patch from debian to fix openjpeg2 support

* Wed May 27 2020 luigiwalser <luigiwalser> 0.8.1-4.mga8
+ Revision: 1588179
- build against openjpeg2 instead of jasper

* Thu Feb 13 2020 umeabot <umeabot> 0.8.1-3.mga8
+ Revision: 1514159
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1298912
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1220114
- new version: 0.8.1

* Mon Apr 16 2018 daviddavid <daviddavid> 0.7.1-8.mga7
+ Revision: 1219280
- rebuild for new jasper 2.0.14

* Mon Feb 08 2016 umeabot <umeabot> 0.7.1-7.mga6
+ Revision: 945395
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-6.mga5
+ Revision: 745683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-5.mga5
+ Revision: 681527
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7.1-4.mga4
+ Revision: 526026
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.7.1-3.mga4
+ Revision: 435515
- rebuild for new libpng

* Sat Jan 12 2013 fwang <fwang> 0.7.1-2.mga3
+ Revision: 357813
- update file list
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 173071
- Clean buildrequires
  Clean spec file
  Use major in file list
+ gil <gil>
- fix BR
- changed libutils-devel in libicns-utils
- imported package libicns

